# Interface ECPublicKey

All Superinterfaces:
  `AsymmetricKey, DEREncodablePREVIEW, ECKey, Key, PublicKey, Serializable`

public interface ECPublicKey extends PublicKey, ECKey
The interface to an elliptic curve (EC) public key.

Since:
  1.5
See Also:
  - `PublicKey`
  - `ECKey`
  - `ECPoint`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `serialVersionUID`
  Deprecated.
  A `serialVersionUID` field in an interface is ineffectual.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default ECParameterSpec`
  `getParams()`
  Returns the parameters associated with this key.
  `ECPoint`
  `getW()`
  Returns the public point W.

  ### Methods declared in interface Key

  `getAlgorithm, getEncoded, getFormat`

- ## Field Details

  - ### serialVersionUID

    @Deprecated static final long serialVersionUID
    Deprecated.
    A `serialVersionUID` field in an interface is ineffectual. Do not use; no replacement.
    The class fingerprint that is set to indicate serialization compatibility.
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getW

    ECPoint getW()
    Returns the public point W.
    Returns:
      the public point W.

  - ### getParams

    default ECParameterSpec getParams()
    Returns the parameters associated with this key. The parameters are optional and may be either explicitly specified or implicitly created during key pair generation.
    Specified by:
      `getParams` in interface `AsymmetricKey`
    Specified by:
      `getParams` in interface `ECKey`
    Implementation Requirements:
      The default implementation returns `null`.
    Returns:
      the associated parameters, may be `null`